package com.pcloud.common.utils.mq;

import java.util.Map;

import com.pcloud.common.utils.UUIDUitl;

/**
 * @描述：邮件基本 模板
 * @作者：xiongfeng
 * @创建时间：2016年7月7日,上午10:23:02
 * @版本：1.0
 */
public class MailParam {
	/**
	 * 邮件发送方
	 */
	private Long fromId;
	/**
	 * 邮件接收方
	 */
	private Long toId;
	/**
	 * 邮件类型编码
	 */
	private String code;
	/**
	 * 邮件内容
	 */
	private Map<String, Object> content;
	
	public Long getFromId() {
		return fromId;
	}
	public void setFromId(Long fromId) {
		this.fromId = fromId;
	}
	public Long getToId() {
		return toId;
	}
	public void setToId(Long toId) {
		this.toId = toId;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public Map<String, Object> getContent() {
		return content;
	}
	public void setContent(Map<String, Object> content) {
		this.content = content;
	}
	
	
	
	public MailParam() {
		super();
	}
	public MailParam(Long fromId, Long toId, String code, Map<String, Object> content) {
		super();
		this.fromId = fromId;
		this.toId = toId;
		this.code = code;
		this.content = content;
	}
	@Override
	public String toString() {
		return "MailParam [fromId=" + fromId + ", toId=" + toId + ", code=" + code + ", content=" + content + "]";
	}


}
